#!/bin/bash

TargetImgName="/media/sf_Common/PMRI/SG25_24/NIFTI/bSG25_24_T1.nii" # Your Target MRI
MovingImgName="/media/sf_Common/PMRI/SG25_24/NIFTI/bSG25_24_FLAIR.nii" # Your Moving MRI
OutputMatrix="/media/sf_Common/PMRI/SG25_24/NIFTI/flirt_FLAIR.mat" # Affine Transformation Matrix
OutputImgName="/media/sf_Common/PMRI/SG25_24/NIFTI/rbSG25_24_FLAIR.nii" # Output MRI

SECOND=0

flirt -in $MovingImgName -ref $TargetImgName -omat $OutputMatrix -out $OutputImgName
t=$SECONDS
printf 'Time taken: %d days, %d minutes\n' "$(( t/86400 ))" "$(( t/60 - 1440*(t/86400) ))"
